<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for al StructType
 * @subpackage Structs
 */
class Al extends AbstractStructBase
{
    /**
     * The a
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $a;
    /**
     * Constructor method for al
     * @uses Al::setA()
     * @param string $a
     */
    public function __construct($a = null)
    {
        $this
            ->setA($a);
    }
    /**
     * Get a value
     * @return string|null
     */
    public function getA()
    {
        return $this->a;
    }
    /**
     * Set a value
     * @param string $a
     * @return \StructType\Al
     */
    public function setA($a = null)
    {
        // validation for constraint: string
        if (!is_null($a) && !is_string($a)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($a, true), gettype($a)), __LINE__);
        }
        $this->a = $a;
        return $this;
    }
}
